#include <webserver.h>

AsyncWebServer server(80);

void beginWiFi() {
    WiFi.setHostname("chaoswestbliz");
    WiFi.begin("MCH2022-open", "");
    while(WiFi.status() != WL_CONNECTED) {
        delay(500);
        Serial.print(".");
    }
    Serial.println("");
    Serial.print("ESP8266 Board MAC Address:  ");
    Serial.println(WiFi.macAddress());
    Serial.println("");
    Serial.print("ESP822 IP:                  ");
    Serial.println(WiFi.localIP());
    Serial.println(WiFi.channel());
    server.on("/", HTTP_GET, [] (AsyncWebServerRequest *request) {
        request->send(200, "text/html", index_html);
    });
    server.on("/set", HTTP_GET, [] (AsyncWebServerRequest *request) {
    String s;
    String message;
    if (request->hasParam("speed")) {
      s = request->getParam("speed")->value();
      flashspeed = s.toFloat();
      message = "Speed set successfully";
    } else {
      message = "No message sent";
    }
    Serial.print("Speed set to ");
    Serial.print(s);
    Serial.println("km/h");
    request->send(200, "text/plain", "OK");
  });
  server.on("/flash", HTTP_GET, [] (AsyncWebServerRequest *request) {
    flash();
    request->send(200, "text/plain", "OK");
  });
  server.on("/data.json", HTTP_GET, [] (AsyncWebServerRequest *request) {
    String response = "{\"highscore\":";
    response.concat(highscore);
    response.concat(", \"threshold\": ");
    response.concat(flashspeed);
    response.concat(",\"lastSpeeds\": [");
    for(int i=0;i<10;i++) {
        response.concat(lastMeasuredSpeeds[i]);
        if(i<9) {
            response.concat(", ");
        }
    }
    response.concat("]}");
    request->send(200, "application/json", response);
  });

  server.begin();
}